import { Host } from './Host';
import { Service } from './Service';
import { PortType } from '../../core/type';

export interface Port {
  id?: number;
  portType?: PortType;
  portNumber?: number;
  discoveredDate?: Date;
  host?: Host;
  target?: boolean;

  services?: Map<string, Service> | null;
  serviceList?: Service[] | null;
}
